Ubuntu

Kernel 2.6.38-7 completely dims screen on Intel GMA 4500M

Reported by Oxwivi on 2011-03-23
46
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Display hardware specifications [sudo lshw -c display]:
  *-display:0
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:50000000-503fffff memory:40000000-4fffffff ioport:50f0(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:53400000-534fffff

I'm not sure about what factors exactly are leading to this result, but installing the said version of the kernel package on either 10.10 and 11.04 completely darkens my screen. If I press the power button or open a window with keyboard shortcuts I can make out they're open but can't view them at all.

10.10
I downloaded 2.6.38-7 kernel package for Ubuntu and installed them on 10.10 dual-booted with Windows 7. On reboot I could not make out anything on the screen, and assuming Ubuntu did not load properly, I was about to try a hard shutdown. But on pressing the power button, I noticed that there was a dim glow of the Shut Down window, from which I selected restart using the keyboard. Since the next boot did not improve anything, I chose older kernel, which displayed everything normally again.

11.04
Installing Natty wiped of my HDD of 10.10 and Windows 7 for which I suspect an unrelated bug. The said kernel image installed through the usual updates, and I was returned to the dim screen I experienced in 10.10. Since I did not know how to bring up the GRUB menu at boot with a single OS, I used a flashlight to find the kernel package on Software Center and removed it. Screen worked fine after reboot.

Thus I conclude that the kernel image is at fault for the screen dimming. As I said, I'm not aware of all the possible factors involved in this bug, so I've listed my display hardware specifications for now and narrated to how I've come to suspect the kernel image for this bug. Please post your thoughts on this matter, and instruct me on diagnosing it.

I've removed the kernel package, so I cannot comply with bug reporting guidelines, but this is my current output of 'lsb_release -rd':
Description: Ubuntu Natty (development branch)
Release: 11.04

Oxwivi (oxwivi) on 2011-03-23
summary: - Kernel 2.6.38-7 completely dims screen
+ Kernel 2.6.38-7 completely dims screen on Intel T4500M
summary: - Kernel 2.6.38-7 completely dims screen on Intel T4500M
+ Kernel 2.6.38-7 completely dims screen on Intel GMA 4500M
description: updated
description: updated
cyrilou (mathsbruyeres) wrote :

On my laptop it's the same.
If i boot with 2.6.38-6 kernel, it's ok but if i boot the 2.6.38-7 kernel then i only have an 'almost black screen' as described above.

Here is my lspci | grep VGA

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)

(I tried the same kernel with archlinux: it s the same)

cyrilou (mathsbruyeres) wrote :

I forgot the [sudo lshw -c display]:

  *-display:0
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:50000000-503fffff memory:40000000-4fffffff ioport:50f0(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:53400000-534fffff

Oxwivi (oxwivi) wrote :

@cyrilou, add Arch affected under affected distributions, and link to the bug report, if you've made one on Arch's bug tracker.

description: updated
talessx (alessandro-tassi) wrote :

My experience with Acer TravelMate 5335 (video Intel GMA 4500M) and ubuntu 11.04:

SOLUTION 1 (bad):
renounce to graphic acceleration and add "nomodeset" into boot (typeing "e" on grub start) or in GRUB_CMDLINE_LINUX_DEFAULT option into "/etc/default/grub".
at least you can boot without an external VGA monitor and try to solve

SOLUTION 2 (quiet bad):
try to install previous kernels like 2.6.35
(there is an italian debian experience at http://forum.debianizzati.org/viewtopic.php?t=43209&p=132402)

SOLUTION 3 (less bed):
add the following commad into "/etc/rc.local" :
setpci -s 00:02.0 F4.B=00
The kernel bug remains still there but your monitor will turn on boot before loading x server.
But the game "tux racing" turns again the monitor off. Hibernating too (someone say, haven't tried yet)

I don't know if it is a linux bug or an ubuntu bug, surely this interests debian distributions too.
sorry for my english.
good luck.

Ale

talessx (alessandro-tassi) wrote :

with solution 3 every time you suspend or hibernatethe computer video is off on waking.
I have solved adding this script (make it executable) in "/etc/pm/00_video" :

#!/bin/bash
case "$1" in
    hibernate|suspend)
        ;;
    thaw|resume)
        setpci -s 00:02.0 F4.B=00
        ;;
    *)
        ;;
esac
exit $?

every time computer wakes up from suspension or hibernation LCD will turn ALIVE!!!!!
tux racing still darken everything, but Macubuntu goes smoothly

bye

Ale

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 740893

and then change the status of the bug back to 'New'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Oxwivi (oxwivi) wrote :

@Brad, I'm sorry the laptop in question is no longer functional, I cannot attempt to run apport even if I wanted to. If cyrilou is still following the bug, he can help in obtaining the logs.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Gary Liddle (gary-liddle) wrote :

Hey

I have the same laptop and have the same problem when i updated the Kernel.

I've been running 2.6.35.22 which has no problems.

I initially updated to 2.6.38-8 which i thought at first had failed, but noticed the screen was only usable (and i use that word very lightly) in direct sunlight.

I've now updated to 2.6.38-10 which has the same problem as 2.6.38-8, no back light on the monitor.

I'm currently viewing the laptop on 2.6.38-10 through an external monitor so i can try to resolve the problem and can run any diagnostic commands you require.

My onboard graphics card is the same and as follows with [sudo lshw -c display]

*-display:0
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:46 memory:d0000000-d03fffff memory:c0000000-cfffffff ioport:50f0(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:d3400000-d34fffff

Thanks,
Gary

tags: added: apport-collected natty running-unity

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gepps 1380 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd6700000 irq 45'
   Mixer name : 'Realtek ALC272X'
   Components : 'HDA:10ec0272,10250212,00100001'
   Controls : 16
   Simple ctrls : 9
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=9e3b5e6f-ad7b-43b1-a8be-3bb9e6b64c32
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: Acer Aspire 5732Z
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic-pae root=UUID=23a51036-a60f-438a-a5bd-3a751389639a ro splash vga=795 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic-pae 2.6.38.7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-10-generic-pae N/A
 linux-backports-modules-2.6.38-10-generic-pae N/A
 linux-firmware 1.52
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: natty running-unity
Uname: Linux 2.6.38-10-generic-pae i686
UpgradeStatus: Upgraded to natty on 2011-05-27 (70 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/11/2009
dmi.bios.vendor: Acer
dmi.bios.version: V3.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 5732Z
dmi.board.vendor: Acer
dmi.board.version: V3.02
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V3.02
dmi.modalias: dmi:bvnAcer:bvrV3.02:bd11/11/2009:svnAcer:pnAspire5732Z:pvrV3.02:rvnAcer:rnAspire5732Z:rvrV3.02:cvnAcer:ct10:cvrV3.02:
dmi.product.name: Aspire 5732Z
dmi.product.version: V3.02
dmi.sys.vendor: Acer

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Markus Walther (servicx) wrote :

fine to be here.

I just wanted to say about this issue and ask the kernel developers to not set the brightness to FF without being sure that this would be the right setting in order to gain a maximum brightness of the backlight of the screen. Well, then. You might get a scrpt that is working after installation and get a hint how to perform the installation itself. Shortly, you'll be able to control the brightness of the backlight of your screen. But you will not be able to play fullscreen games like tuxracer. And, it will be hard to install the system without seeing anything on your screen.

The solution given at http://www.markuswalther.com/tech/backlight.html ia only partial, installation and games like tuxracer will stay in the dark.

However, if you used an external monitor for installation, and used sbrinst from the archive on this page, you'll be able to control the backlight setting of your screen.

But, that is not what I wanted. I'd rather liked the kernel programmers to know that brightness settings with Intel GMA 4500M chipsets may differ completely and tell this the distibutioon managers. Did I fail and have to go something else?

Markus

Richard Brown (ginestre) wrote :

>Any news on this bug? I have exactly the same issue.

Gary Liddle (gary-liddle) wrote :

This bug is still a problem for me too, however there is a work around.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/779166

The following command should make the screen bright again, I recommend you use an external monitor when trying to correct this issue.
sudo setpci -s 00:02.0 F4.B=00

However, restarting, playing a game, activating from (stand by/hibernation) makes the screen dim again.

One option is to add the above command to the rc.local, but this only allows the screen to be bright from a clear reboot.

The other option is to add this command to root's crontab, on a timer of every 1-2 minutes, that way if your screen is dark for any reason, you only have to wait 1-2 minutes for it to be fixed.

I hibernate my laptop when I'm not using it so I usually have to wait 1-2 minutes after its finished loading to use it, so i cannot say that this bug is fixed on any level. I also don't know the long term impact of running this command every minute, just incase the screen is dim.

Gary

Ahmed Shams (ashams) wrote :

Does this bug occur with any of Kernel 3 like on Oneiric or Precise beta?
would you please update this bug by running:
apport-collect 740893

Changed in linux (Ubuntu):
importance: Undecided → Medium

I used yesterday's (11 Jan 2012) Precise AMD64 Lubuntu ISO image to boot from a CD on an Acer 5732z, which has the same graphics controller as the OP's computer [Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)]. After I choose the first option in the initial menu ("Try Lubuntu without any change"), the screen goes dark and I have to use the setpci method to turn the backlight on after I'm in LXDE. The output of uname -a is: Linux lubuntu 3.2.0-8-generic #14-Ubuntu SMP Fri Jan 6 01:56:48 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.23-0ubuntu4
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: peter 2339 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd6700000 irq 46'
   Mixer name : 'Realtek ALC272X'
   Components : 'HDA:10ec0272,10250212,00100001'
   Controls : 17
   Simple ctrls : 10
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=4c689dbc-a530-4d6e-aab2-d6fe6c038a3d
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
IwConfig: Error: [Errno 2] No such file or directory
MachineType: Acer Aspire 5732Z
Package: linux 3.0.0.15.17
PackageArchitecture: i386
ProcEnviron:
 LANGUAGE=en
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-15-generic root=UUID=5c746146-a177-4c6e-a8bc-ead45d7f0d6d ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-15.26-generic 3.0.13
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-15-generic N/A
 linux-backports-modules-3.0.0-15-generic N/A
 linux-firmware 1.60
RfKill: Error: [Errno 2] No such file or directory
Tags: oneiric
UdevDb: Error: [Errno 2] No such file or directory
Uname: Linux 3.0.0-15-generic i686
UpgradeStatus: Upgraded to oneiric on 2011-12-18 (73 days ago)
UserGroups: adm admin audio cdrom dialout dip fuse lpadmin netdev plugdev sambashare users
dmi.bios.date: 08/03/2009
dmi.bios.vendor: Acer
dmi.bios.version: V2.05
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 5732Z
dmi.board.vendor: Acer
dmi.board.version: V2.05
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V2.05
dmi.modalias: dmi:bvnAcer:bvrV2.05:bd08/03/2009:svnAcer:pnAspire5732Z:pvrV2.05:rvnAcer:rnAspire5732Z:rvrV2.05:cvnAcer:ct10:cvrV2.05:
dmi.product.name: Aspire 5732Z
dmi.product.version: V2.05
dmi.sys.vendor: Acer

tags: added: oneiric

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: added: maverick
tags: added: needs-upstream-testing
removed: apport-collected oneiric running-unity

Oxwivi, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

downloading iso!

i don't quite understand this: "Please do not test the kernel in the daily folder, but the one all the way at the bottom." you mean this kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc7-quantal/ ?

Download full text (10.6 KiB)

Tested Linux Mint XFCE 13 yesterday. It is still an issue.

On Fri, Jul 27, 2012 at 11:05 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Oxwivi, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO CD images are available from
> http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available? It
> will allow additional upstream developers to examine the issue. Refer to
> https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the
> kernel in the daily folder, but the one all the way at the bottom. Once
> you've tested the upstream kernel, please remove the 'needs-upstream-
> testing' tag. This can be done by clicking on the yellow pencil icon
> next to the tag located at the bottom of the bug description and
> deleting the 'needs-upstream-testing' text. As well, please comment on
> which kernel version specifically you tested.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream', and comment
> as to why specifically you were unable to test it.
>
> Please let us know your results. Thanks in advance.
>
> Helpful Bug Reporting Links:
> https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
>
> https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
>
> https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
>
> https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug
>
> ** Tags added: maverick
>
> ** Tags removed: apport-collected oneiric running-unity
> ** Tags added: needs-upstream-testing
>
> ** Attachment removed: "AcpiTables.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/740893/+attachment/2257079/+files/AcpiTables.txt
>
> ** Attachment removed: "AlsaDevices.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/740893/+attachment/2257080/+files/AlsaDevices.txt
>
> ** Attachment removed: "BootDmesg.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/740893/+attachment/2257081/+files/BootDmesg.txt
>
> ** Attachment removed: "Card0.Amixer.values.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/740893/+attachment/2257082/+files/Card0.Amixer.values.txt
>
> ** Attachment removed: "IwConfig.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/740893/+attachment/2257085/+files/IwConfig.txt
>
> ** Attachment re...

I've managed to fix this for my machine (Acer Aspire 5732z). Someone has added an intel_quirk to linux / drivers / gpu / drm / i915 / intel_display.c called 'quirk_invert_brightness'. But it is only set for Acer Aspire 5734z. I added the settings for my laptop to intel_display.c (around line 7135) and built the 3.5 kernel from Linus Torvalds' github. Everything works fine now.

I ran 'lspci -vn' to get the subsystem data for device 8086:2a42. My subsystem is 1025:0212. I added the line:

{ 0x2a42, 0x1025, 0x0212, quirk_invert_brightness },

above the existing line for the 5734z parameters in intel_display.c.

so it will be fixed in the next update?? (i have the same laptop)

I think patching Linux to add the Acer 5732z parameters is in the pipeline. I resolved this issue only 3 days ago by working with someone involved in creating quirk_invert_brightness. I don't think this is high on his priority list, but he said he would submit a patch. After that, I assume it will be in the next Linux release.

It looks like I spoke too soon about the fix in comment #53. According to this:

http://lists.freedesktop.org/archives/intel-gfx/2012-August/019770.html

a better fix will be in Linux 3.7, "hopefully."

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
PrototypeX29A (preineke) wrote :

This still is an issue for me, is there any information you need to proceed with the bug?

Changed in linux (Ubuntu):
status: Expired → New

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 740893

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Its fixed for me in Ubuntu 13.04 fresh install!
The brightness is ok but the hotkeys for changing it are not.. they don't work

Chris Triantafillis / PrototypeX29A / Michael Chapman / cryd_be / Gary Liddle / Richard Brown / cyrilou, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Thomas Beyer (tb-beyercenter) wrote :

@christriant: nice to hear that.
trying ubuntu 13.04 on acer travelmate 5734Z - black screen...

adding

acpi_backlight=legacy acpi_osi=Linux

to grub-options and i can turn screen on by pressing [FN] + [ <-] which is lower brightness. After that, i can customize my brightness setting with that keys.
will add log and bug-report too.

Thomas Beyer (tb-beyercenter) wrote :

Report at 1187794

Oxwivi, thank you for reporting this and helping make Ubuntu better. Natty reached EOL on October 28, 2012.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers